Replace direct access role
Create or replace one principal's direct role on a resource.
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes | |
resourceType | string | Yes | |
resourceUuid | string | Yes | |
principalType | string | Yes | |
principalUuid | string | Yes |
Request body
{
"role": "viewer"
}Responses
200 — Success
{
"results": "string",
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}